Subject: Re: bug#5447: closed by Eli Zaretskii <[email-masked]> (Re: bug#5447: 23.1.91; load-file fails for C:/the-file.el.gz)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jan 2010 20:05:35 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 22 Jan 2010 10:41:21 -0500
> 
> >> The interesting thing is that jka-compr-load is not even called if
> >> the file is not in the root directory of a drive.  I will try to
> >> look into that now.
> > This is actually trivial: a file that is not in C:/ is not considered
> > a remote file by Tramp handlers.  Case closed.
> > Like Lennart, I think that considering X:/ files on Windows to be
> > remote is a bad idea.  If it didn't have any serious consequences, I'd
> > just shrug.  But the recent bug reports indicate that it does have
> > very serious consequences, and is quite an annoyance.
> > Can we please get rid of that misfeature?
> 
> I generally agree, but I'd like to see a concrete patch for it first.

I meant a Windows-specific change; is that what you meant?  AFAICS,
typing "/" on Unix does not automatically load Tramp.

Michael, how hard would it be to special-case "\`[a-z]:/" on Windows so
that matching files are never considered to be ``remote files''?